#ifndef __CLCDJITESURNE_H__
#define __CLCDJITESURNE_H__

#include "..\comp\lcd\clcd.h"

class CLcdJitesUrne : public CLcd
{
    public:
        CLcdJitesUrne(void);
        virtual ~CLcdJitesUrne(void);

        virtual int Initialise(void);
        virtual void Display(int Line, int row, char *Chaine);
        static CLcd* Instance(void);
    protected:
		void DisplayChar(unsigned char ucControle, unsigned char ucData);
    private:
        int DelayLcd(void);

	enum e_RegsiterAddress  {
				    eRegBase = 0x378,
				    eRegData = eRegBase + 0x0000,
				    eRgControl = eRegBase + 0x0002,
				    eWaitting = 0x30
				};
};

#endif // __CLCDJITESURNE_H__
